<%namespace name="h" file="jm2l:templates/helpers.mako"/>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Main(Exchanges)">
    <div class="tabbable tabs-left" id="Intendance_tab">
        
        <ul class="nav nav-tabs navbar" style="margin-bottom:0;">
            <li class="active"> <a href="#ResumeInt" data-toggle="tab">Resum&eacute;</a> </li>
            <li> <a href="#Miam" data-toggle="tab">Miam</a> </li>
            <li> <a href="#Covoiturage" data-toggle="tab">Covoiturage</a> </li>
            <li> <a href="#Hebergement" data-toggle="tab">H&eacute;bergement</a> </li>
            <li> <a href="#Materiel" data-toggle="tab">Mat&eacute;riel</a> </li>
        </ul>
        
        <div class="tab-content">
            <div class="tab-pane fade active in" id="ResumeInt">${Route_wrapper(Exchanges)}</div>
            <div class="tab-pane fade" id="Miam">${Miam_wrapper()}</div>            
            <div class="tab-pane fade" id="Covoiturage">${Exchange_wrapper('C', Exchanges)}</div>
            <div class="tab-pane fade" id="Hebergement">${Exchange_wrapper('H', Exchanges)}</div>
            <div class="tab-pane fade" id="Materiel">${Exchange_wrapper('M', Exchanges)}</div>
        </div>
        
    </div>
</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Exchange_wrapper(Type, Exchanges)">
<%
AllSelection = Exchanges.get_pub_list( Type )
DicExch = Exchanges.get_my_list( request.user.uid, Type )
%>
        ${Ask(Type, DicExch)}
        ${Proposal(Type, DicExch)}
    <fieldset>
        <legend>Tous les échanges</legend>
        ${Missing(Type, AllSelection)}
    </fieldset>
</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Miam_wrapper()">
        <fieldset>
            <legend>Qu'est ce qu'on mange ?</legend>
        </fieldset>
</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Missing(Type, Selection)">
<%
if Type=='H':
    CurTitle = u"d'hébergement"
    CurIcon = "icon-home"
elif Type=='C':
    CurTitle = "de co-voiturage"
    CurIcon = "icon-road"
elif Type=='M':
    CurTitle = u"de prêt de matériel"
    CurIcon = "icon-shopping-cart"
%>
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th colspan="5">
                        Les échanges ${CurTitle}
                        % if 0:
                        <span style="float:right;">
                            <a data-original-title="Afficher les demandes" data-toggle="tooltip" id="${Type}_Demande">
                                <label class="checkbox inline">
                                    <input type="checkbox" id="Demandes"> 
                                        <i class="icon-comment"></i> 
                                    </input>
                                </label>
                            </a>
                            <a data-original-title="Afficher les propositions" data-toggle="tooltip" id="${Type}_Props">
                                <label class="checkbox inline">
                                    <input type="checkbox" value="#">
                                        <i class="${CurIcon}"></i>
                                    </input>
                                </label>
                            </a>
                        <span>
                        % endif
                    </th>
                </tr>
                
                <tr>
                    <th style="width:1em;"></th>
                    <th>Détails</th>                    
                    <th style="width:1em;"></th>
                <tr>
            </thead>
            <tbody id="Missing${Type}Table">
            % if len(Selection)==0:
                <tr>
                    <td colspan="5" style="text-align:center;">
                        <i>Il n'y a aucun échange ${CurTitle} proposé actuellement...</i>
                    </td>
                </tr>
            % else:
                % for item in Selection:
                    <% 
                    if (item.provider_id and item.asker_id):
                        continue
                    %>
                <tr style="cursor:pointer;">
                  % if item.exch_state=='Ask':
                    <td style="vertical-align: middle;"><i class="${CurIcon}"></i></td>
                  % elif item.exch_state=='Proposal':
                    <td style="vertical-align: middle;"><i class="icon-comment"></i></td>                    
                  % endif
                    <td>
                        <p style="text-align:center">                    
                    %if item.asker and item.exch_state=='Ask':
                        <a href="/user/${item.asker.slug}"> ${item.asker.prenom} ${item.asker.nom} </a> demande 
                    %elif item.provider and item.exch_state=='Proposal':
                        <a href="/user/${item.provider.slug}"> ${item.provider.prenom} ${item.provider.nom} </a> offre 
                    % endif
                        % if item.exch_type=="C":
                        un co-voiturage le ${item.start_time.strftime('%a %d %b vers %Hh%M')}
                        de <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.start.place_id}')">${item.Itin.start.display_name}</a>
                        à <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.arrival.place_id}')">${item.Itin.arrival.display_name}</a>
                        % elif item.exch_type=="M":
                            % if item.Category:
                                <i>${item.Category.exch_subtype}</i>
                            % endif
                            % if item.description:
                                ${item.description[:30]}
                            % endif
                             de ${item.start_time.strftime('%a %d %b %Hh%M')}
                             à ${item.end_time.strftime('%a %d %b %Hh%M')}
                        % else:
                            % if item.Category:
                                <i>${item.Category.exch_subtype}</i>
                            % endif
                            % if item.description:
                                ${item.description[:30]}
                            % endif
                            ${item.start_time.strftime('%a %d %b')} soir
                        % endif
                        </p>                        
                    </td>
                    <td style="vertical-align: middle;">
                    % if item.provider_id==request.user.uid or item.asker_id==request.user.uid:
                        <a class="btn btn-mini btn-primary" style="float:right" 
                            href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')">
                            <i class="icon-search icon-white"></i>
                        </a>
                    % elif (item.provider_id and item.asker_id):
                        <a class="btn btn-mini btn-primary" style="float:right" 
                            href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')">
                            <i class="icon-search icon-white"></i>
                        </a> <br/> <br/> 
                    ##    <a id="Ask${Type}-${item.exch_id}" 
                    ##        class="btn btn-mini btn-info" style="float:right"
                    ##        data-original-title="En attente"
                    ##        data-toggle="popover" data-placement="left" 
                    ##        data-content="Déjà en attente d'une réponse."
                    ##        href="#Missing${Type}Table">
                    ##        <i class="icon-random icon-white"></i>
                    ##    </a>
                    ##    <script>$("#Ask${Type}-${item.exch_id}").popover();</script>                    
                    % else:
                        <a class="btn btn-mini btn-primary" style="float:right" 
                            href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')">
                            <i class="icon-search icon-white"></i>
                        </a> <br/> <br/> 
                    ##    <a class="btn btn-mini btn-primary" style="float:right" 
                    ##        href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/deal')">
                    ##        <i class="icon-random icon-white"></i>
                    ##    </a>
                    % endif
                    </td>
                </tr>
                % endfor
            % endif
            </tbody>
        </table>        
        
        <script>
            $('#${Type}_Props').tooltip()
            $('#${Type}_Demande').tooltip()
        </script>        

</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Ask(Type, Selection)">
<%
if Type=='H':
    CurTitle = u"d'hébergement"
    CurIcon = "icon-home"
elif Type=='C':
    CurTitle = "de co-voiturage"
    CurIcon = "icon-road"
elif Type=='M':
    CurTitle = u"de prêt de matériel"
    CurIcon = "icon-shopping-cart"
%>
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th colspan="3"><i class="icon-comment"></i>  Mes demandes ${CurTitle}
                        <a class="btn btn-mini btn-primary" Myhref="/2015/modal/Ask${Type}/0" 
                            role="button" data-target="#AjaxModal" style="float:right" handle="modal">
                            <i class="icon-plus-sign icon-white"></i> Ajouter
                        </a>
                    </th>
                </tr>
            </thead>
            <tbody id="Ask${Type}Table">         
            % if len(Selection['Ask'])==0 and len(Selection['Proposal'])==0:
                <tr>
                    <td colspan="2" style="text-align:center;">
                        <i>Vous n'avez fait aucune demande ${CurTitle}</i>
                    </td>
                </tr>            
            % else:
                <tr>
                    <th style="width:7em;">Etat</th>                
                    <th>Details</th>
                </tr>
        % for type in ['Ask', 'Proposal']:
                % for item in Selection[type]:
                    <%
                    if item.provider_id==request.user.uid:
                        continue
                    %>
                <tr style="cursor:pointer;">
                    <td>
                % if item.exch_done:
                    <div class="btn-group">
                        <a class="btn btn-small btn-success" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-ok icon-white"></i> Validé</a>
                        <a class="btn btn-small btn-success dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li> 
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Annuler</a></li>
                        </ul>
                % elif item.provider_id is None:
                    <div class="btn-group">                
                        <a class="btn btn-small"><i class="icon-signal"></i> Publié</a>
                        <a class="btn btn-small dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">                           
                            <li><a href="javascript:DoGet('/2015/modal/Ask${Type}/${item.exch_id}')"><i class="icon-pencil"></i> Modifier</a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>
                % elif item.asker_id==request.user.uid and type=="Ask":
                        Je demande <br>
                    <div class="btn-group">                        
                        <a class="btn btn-small btn-warning" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Proposition</a>
                        <a class="btn btn-small btn-warning dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/accept')"><i class="icon-ok"></i> Accepter</a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Refuser</a></li>
                            <li class="divider"></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>
                % elif item.asker_id==request.user.uid and type=="Proposal":
                        Je demande <br>
                    <div class="btn-group">                        
                        <a class="btn btn-small btn-info" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Négociation</a>
                        <a class="btn btn-small btn-info dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li><a href="#"><i class="icon-question-sign"></i> En Attente de réponse </a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Se désister </a></li>
                        </ul>
                % endif
                    </div>
                        </div>
                    </td>
                    <td>
                        %if Type=='C':
                            ${item.start_time.strftime('%A %d %b %Y')} vers ${item.start_time.strftime('%Hh%M')}
                            de <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.start.place_id}')">${item.Itin.start.display_name}</a>
                            à <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.arrival.place_id}')">${item.Itin.arrival.display_name}</a>
                        %elif Type=='H':
                            <i>${item.Category.exch_subtype}</i>, La nuit du ${item.start_time.strftime('%A %d %b %Y')}<br>
                        %elif Type=='M':
                            de ${item.start_time.strftime('%A %d %b %Y')} vers ${item.start_time.strftime('%Hh%M')}
                            à ${item.end_time.strftime('%A %d %b %Y')} vers ${item.end_time.strftime('%Hh%M')}<br>
                            ${item.Category.exch_subtype}
                        %endif                            
                        %if item.description:
                            ${item.description}
                        %endif
                    </td>
                </tr>
                % endfor
        % endfor
            % endif            
            </tbody>
        </table>
</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Proposal(Type, Selection)">
<%
if Type=='H':
    CurTitle = u"d'hébergement"
    CurIcon = "icon-home"
elif Type=='C':
    CurTitle = "de co-voiturage"
    CurIcon = "icon-road"
elif Type=='M':
    CurTitle = u"de prêt de matériel"
    CurIcon = "icon-shopping-cart"
%>
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th colspan="3"><i class="${CurIcon}"></i> Mes offres ${CurTitle}
                        <a class="btn btn-mini btn-primary" Myhref="/2015/modal/Prop${Type}/0" 
                            role="button" data-target="#AjaxModal" style="float:right" handle="modal">
                            <i class="icon-plus-sign icon-white"></i> Ajouter
                        </a>
                    </th>
                </tr>
            </thead>

            <tbody id="Prop${Type}Table">
            
            % if len(Selection['Ask'])==0 and len(Selection['Proposal'])==0:
                <tr>
                    <td colspan="2" style="text-align:center;">
                        <i>Vous n'avez fait aucune offre ${CurTitle}</i>
                    </td>
                </tr>            
            % else:
                <tr>
                    <th style="width:7em;">Etat</th>                
                    <th>Détails</th>          
                </tr>
        % for type in ['Ask', 'Proposal']:                
                % for item in Selection[type]:
                    <%
                    if item.asker_id==request.user.uid:
                        continue
                    %>                
                <tr style="cursor:pointer;">
                    <td>
                % if item.exch_done:
                    <div class="btn-group">
                        <a class="btn btn-small btn-success" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-ok icon-white"></i> Validé</a>
                        <a class="btn btn-small btn-success dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li> 
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Annuler</a></li>
                        </ul>                        
                % elif item.asker_id is None:
                    <div class="btn-group">
                        <a class="btn btn-small"><i class="icon-signal"></i> Publié</a>
                        <a class="btn btn-small dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">                           
                            <li><a href="javascript:DoGet('/2015/modal/Prop${Type}/${item.exch_id}')"><i class="icon-pencil"></i> Modifier</a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Prop${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>
                % elif item.provider_id==request.user.uid and type=="Ask":
                        Je propose <br>
                    <div class="btn-group">                        
                        <a class="btn btn-small btn-info" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Négociation</a>
                        <a class="btn btn-small btn-info dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li><a href="#"><i class="icon-question-sign"></i> En Attente de réponse </a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Se désister </a></li>
                        </ul>
                % elif item.provider_id==request.user.uid and type=="Proposal":
                        Je propose <br>
                    <div class="btn-group">
                        <a class="btn btn-small btn-warning" href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Proposition</a>
                        <a class="btn btn-small btn-warning dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/2015/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li>                             
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/accept')"><i class="icon-ok"></i> Accepter</a></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Refuser</a></li>
                            <li class="divider"></li>
                            <li><a href="javascript:DoGet('/2015/exchange/Ask${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>
                % endif
                        </div>                    
                    </td>
                    <td>
                        %if Type=='C':
                            ${item.start_time.strftime('%A %d %b %Y')} vers ${item.start_time.strftime('%Hh%M')}
                            de <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.start.place_id}')">${item.Itin.start.display_name}</a>
                            à <a href="javascript:DoGetLieu('/2015/modal/Place/${item.Itin.arrival.place_id}')">${item.Itin.arrival.display_name}</a>
                        %elif Type=='H':
                            <i>${item.Category.exch_subtype}</i>, La nuit du ${item.start_time.strftime('%A %d %b %Y')}<br>
                        %elif Type=='M':
                            de ${item.start_time.strftime('%A %d %b %Y')} vers ${item.start_time.strftime('%Hh%M')}
                            à ${item.end_time.strftime('%A %d %b %Y')} vers ${item.end_time.strftime('%Hh%M')}<br>
                            ${item.Category.exch_subtype}
                        %endif                            
                        %if item.description:
                            ${item.description}
                        %endif
                    </td>
                </tr>
                % endfor
        % endfor                
            % endif
            </tbody>
        </table>

</%def>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Route_wrapper(Exchanges)">
<%
AskSelection = Exchanges.get_my_counters( int(request.user.uid) )
AllSelection = Exchanges.get_counters()
ListWrap = ["Co-voiturage",u"Hébergement","Matos"]
%>
<div class="accordion" id="AccordionCounter">
    <div class="accordion-group">
        <div class="accordion-heading">
            <a class="accordion-toggle" data-toggle="collapse" data-parent="#AccordionCounter" href="#collapseMe"> Mes compteurs </a>
        </div>
        <div id="collapseMe" class="accordion-body collapse in">
            <div class="accordion-inner">
            
                <table width="100%" class="table table-striped table-bordered table-hover">
                    <thead style="text-align:center">
                        <tr>
                            <th>Section</th>
                            <th style="text-align:center">Mes demandes</th>
                            <th style="text-align:center">Mes Propositions</th>
                            <th style="text-align:center">Accords</th>
                        </tr>
                    </thead>
                    <tbody id="MyCounters">
                        <tr>
                            <td>Miam</td> 
                            <td style="text-align:center">?</td>
                            <td style="text-align:center">-</td>
                            <td style="text-align:center">?</td>
                        </tr>
                        % for Wrap in ListWrap:
                        <tr>
                            <td>${Wrap | h}</td>
                            <% 
                                RecA = filter( lambda (A, B, C, D): A=='Ask' and B==Wrap[0] and C==0, AskSelection )
                                RecP = filter( lambda (A, B, C, D): A=='Proposal' and B==Wrap[0] and C==0, AskSelection )
                                RecD = filter( lambda (A, B, C, D): B==Wrap[0] and C==1, AskSelection )
                            %>                     
                            % for item in [RecA, RecP, RecD]:
                                <td style="text-align:center">
                                    % if item:
                                        <span class="badge">${item[0][3]}</span>
                                    % else:
                                        <span class="badge">0</span>
                                    % endif
                                </td>
                            % endfor
                        </tr>
                        % endfor
                    </tbody>
                </table>

            </div>
        </div>
    </div>
    <div class="accordion-group">
        <div class="accordion-heading">
            <a class="accordion-toggle" data-toggle="collapse" data-parent="#AccordionCounter" href="#collapseAll">Les compteur de l´évenement</a>
        </div>
        <div id="collapseAll" class="accordion-body collapse">
            <div class="accordion-inner">

                <table width="100%" class="table table-striped table-bordered table-hover">
                    <thead style="text-align:center">
                        <tr>
                            <th>Section</th>
                            <th style="text-align:center">Les demandes</th>
                            <th style="text-align:center">Les propositions</th>
                            <th style="text-align:center">Les Accords</th>
                        </tr>
                    </thead>
                    <tbody id="AllCounters">
                        <tr>
                            <td>Miam</td> 
                            <td style="text-align:center">?</td>
                            <td style="text-align:center">-</td>
                            <td style="text-align:center">?</td>
                        </tr>
                        % for Wrap in ListWrap:
                        <tr>
                            <td>${Wrap | h}</td>
                            <% 
                                AllA = filter( lambda (A,B,C,D): A=='Ask' and B==Wrap[0] and C==0, AllSelection )
                                AllP = filter( lambda (A,B,C,D): A=='Proposal' and B==Wrap[0] and C==0, AllSelection )
                                AllD = filter( lambda (A,B,C,D): B==Wrap[0] and C==1, AllSelection )                                
                            %>
                            % for item in [AllA, AllP, AllD]:
                                <td style="text-align:center">
                                    % if item:
                                        <span class="badge">${item[0][3]}</span>
                                    % else:
                                        <span class="badge">0</span>
                                    % endif
                                </td>
                            % endfor
                        </tr>
                        % endfor
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>

        <fieldset>
            <legend>Mon Badge</legend>
        </fieldset>        
</%def>
% if reload:
    ${Route_wrapper(Exchanges)}
    ${Exchange_wrapper(Type, Exchanges)}
%endif
