<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="h" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
    <script src="/static/select2.js"></script>  
    <script src="/static/leaflet.js"></script>
    <script src="/static/leaflet-routing-machine.min.js"></script>
</%def>
<%def name="cssAddOn()">
    <link rel="stylesheet" href="/static/select2.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="/static/leaflet.css" />
    <link rel="stylesheet" href="/static/leaflet-routing-machine.css" />
</%def>
<style>
.tr_icon {
    display: inline-block;
    text-align: center;
}
.tr_icon label {
    margin-bottom: -12px;
}
.itin_fields {
    display: inline-block;
    margin-right: 10px;
}
.itin_fields input {
    text-align: right;
}
#map { height: 280px; }
</style>
<fieldset>
<legend>Ajouter un Intinéraire</legend>
        ${h.itin_wrapper(itin_form.itin)}
        <div style="width:250px;margin:auto;">
            <div class="itin_fields">
                <label for="${itin_form.distance.label.field_id}">
                    ${itin_form.distance.label.text}
                </label>
                    ${itin_form.distance(placeholder=u"0", style='width:3em;')} km
            </div>
            <div class="itin_fields">
                <label for="${itin_form.duration.label.field_id}">
                    ${itin_form.duration.label.text}
                </label>
                    ${itin_form.duration(placeholder=u"0:00", style='width:3em;')}
            </div>
            <div class="itin_fields">
                <label for="${itin_form.price.label.field_id}">
                    ${itin_form.price.label.text}
                </label>
                    ${itin_form.price(placeholder=u"0",style='width:3em;')} &euro;
            </div>
        </div>
        <div style="width:330px;margin:auto;">
        % for trsp in ['tr_pied','tr_velo','tr_moto','tr_voiture','tr_taxi','tr_bus','tr_avion']:
            <% Field = itin_form._fields[trsp] %>
            <div class="tr_icon">
                <label for="${Field.label.field_id}">
                    <img src="/static/${trsp}_.png" alt="${Field.label.text}" />
                </label>
                ${Field}
            </div>
        % endfor
        </div>
        <div style="width:500px;margin:auto;">
            <label for="${itin_form.description.label.field_id}">
                ${itin_form.description.label.text}
            </label>
                ${itin_form.description(placeholder=u"Description",style='width:40em;height:10em;')}
        </div>
    </form>
</fieldset>
 <div id="map"></div>
 <br />
 <br />
 <br />

<script type="text/javascript">
    var map = L.map('map');
    // create the tile layer with correct attribution
    var osmUrl='http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png';
    var osmAttrib='Map data © <a href="http://openstreetmap.org">OpenStreetMap</a> contributors';
    var osm = new L.TileLayer(osmUrl, {minZoom: 8, maxZoom: 15, attribution: osmAttrib});

    // start the map in South-East England
    //map.setView(new L.LatLng(43.704857,7.262344),15);
    
    L.Routing.control({
        waypoints: [
            L.latLng(43.554161, 7.018614),
            L.latLng(43.704857, 7.262344)
        ]
    }).addTo(map);    
    
    map.addLayer(osm);
    
    $("#${itin_form.itin.start_place.label.field_id}").select2({});
    $("#${itin_form.itin.arrival_place.label.field_id}").select2({});
</script>  
